from wtforms import Form, StringField, PasswordField, validators


class RegistrationForm(Form):
    name = StringField('name', [validators.DataRequired()])
    email = StringField('email', [validators.DataRequired()])
    password = PasswordField('password', [validators.DataRequired()])
    confirmPassword = PasswordField('confirmPassword', [validators.DataRequired()])


class DeleteUserForm(Form):
    email = StringField('email', [validators.DataRequired()])
